Subject: pkg/24286: xmms-mad won't build
To: None <>
From: seebs <>
List: netbsd-bugs
Date: 02/01/2004 02:10:02
>Number:         24286
>Category:       pkg
>Synopsis:       xmms-mad won't build
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Feb 01 08:11:01 UTC 2004
>Originator:     seebs
>Release:        NetBSD 1.6ZI
System: NetBSD 1.6ZI NetBSD 1.6ZI (VASH) #1: Sat Jan 31 17:19:21 CST 2004 i386
Architecture: i386
Machine: i386
	xmms-mad doesn't build.  It says:

checking for mad... gnome-config: not found
gnome-config: not found
Package mad was not found in the pkg-config search path.
Perhaps you should add the directory containing `mad.pc'
to the PKG_CONFIG_PATH environment variable
No package 'mad' found

configure: error: Library requirements (mad) not met; consider adjusting the
PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard
prefix so pkg-config can find them.

	Try to build xmms-mad.
	Presumably, it wants gnome-config.  Only it doesn't.

checking for pkg-config... /usr/pkg/bin/pkg-config

So it should be using that.  This looks like a configure bug.